Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047346
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] [POS2] Coremajoralways2021-07-06 14:432021-07-27 11:22
ReporterknoetView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047346: should not be possible to define a combo familiy with qty=0

DescriptionWhile having a quantity to 0 in the subtab family for a disocunt type Combo / Combo fixed price. I've a JS error when applying the promotion. See the screenshot
Steps To Reproduce1- Log into the backend
2- Go to the window 'Discounts & Promotions'
3- Find a promotion combo / Combo fixed priced
4- Go in the Family subtab
5- Changes the quantity to 0
6- It shouldn't be possible
Proposed SolutionCheck if the quantity > 0
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130550)
hgbot (developer)
2021-07-19 03:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/13 [^]
(0130559)
hgbot (developer)
2021-07-19 11:23

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo [^]
Changeset: 924146838bd12756595241124b8e67248d86b782
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-17T15:19:52+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/commit/924146838bd12756595241124b8e67248d86b782 [^]

Fixed ISSUE-47346: Discount should be applied for ComboFamily if quantity greater than zero

---
M web/org.openbravo.retail.discounts.combo/app/model/business-logic/discounts-engine/engine/rules/combo-discount.js
---
(0130560)
hgbot (developer)
2021-07-19 11:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/13 [^]
(0130713)
knoet (developer)
2021-07-23 09:13

Hi @ranjith_qualiantech_com,

We checked your fix about this mantis and it worked fine, but we think the user should not be able to defined a quantity = 0 in the Family subtab , so we discussed with our TL, and we think we should add an EventHandler to avoid people to define 0.
(0130714)
ranjith_qualiantech_com (developer)
2021-07-23 10:07

Need to add Event Handler to validate the quantity column in family tab
(0130760)
hgbot (developer)
2021-07-26 13:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/14 [^]
(0130779)
hgbot (developer)
2021-07-27 11:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo [^]
Changeset: a334bdb5aa6eb7a66aff1aba6605db55810a21b2
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-26T13:09:27+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/commit/a334bdb5aa6eb7a66aff1aba6605db55810a21b2 [^]

Fixed ISSUE-47346: Added Min value for quantity column in Family tab

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0130780)
hgbot (developer)
2021-07-27 11:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.combo/-/merge_requests/14 [^]

- Issue History
Date Modified Username Field Change
2021-07-06 14:43 knoet New Issue
2021-07-06 14:43 knoet Assigned To => Retail
2021-07-06 14:43 knoet Resolution time => 1626732000
2021-07-06 14:43 knoet Triggers an Emergency Pack => No
2021-07-06 14:43 knoet Tag Attached: NOR
2021-07-13 18:09 dmiguelez Project POS2 => Retail Modules
2021-07-16 09:30 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-07-16 09:32 guilleaer Status new => acknowledged
2021-07-17 12:11 ranjith_qualiantech_com Status acknowledged => scheduled
2021-07-19 03:56 hgbot Note Added: 0130550
2021-07-19 11:23 hgbot Resolution open => fixed
2021-07-19 11:23 hgbot Status scheduled => closed
2021-07-19 11:23 hgbot Note Added: 0130559
2021-07-19 11:23 hgbot Note Added: 0130560
2021-07-23 09:13 knoet Note Added: 0130713
2021-07-23 10:07 ranjith_qualiantech_com Note Added: 0130714
2021-07-23 10:07 ranjith_qualiantech_com Status closed => new
2021-07-23 10:07 ranjith_qualiantech_com Resolution fixed => open
2021-07-26 13:31 hgbot Note Added: 0130760
2021-07-27 11:22 hgbot Resolution open => fixed
2021-07-27 11:22 hgbot Status new => closed
2021-07-27 11:22 hgbot Note Added: 0130779
2021-07-27 11:22 hgbot Note Added: 0130780


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker